---
title: "Mark Channel as Unread"
slug: "mark-channel-as-unread"
updated: 2026-09-03T14:50:33Z
published: 2026-09-03T14:50:33Z
canonical: "developer.rocket.chat/mark-channel-as-unread"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Mark Channel as Unread
Post/api/v1/subscriptions.unread
Mark messages as unread by room ID or from a message.
### Changelog
| Version | Description |
| --- | --- |
| 0.65.0 | Added |
Header parametersX-Auth-TokenstringRequired
The `authToken` of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired
The `userId` of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Body parametersExample
```json
{
"roomId": "L6su9mxwdDkvdSaT9hvzu8z6mHFigiXy6Y"
}
```
Example 2
```json
{
"firstUnreadMessage": {
"_id": "L6su9mxwdDkvdSaT9hvzu8z6mHFigiXy6Y"
}
}
```
Expand AllAnyOfobjectobjectroomIdstring Required
The room ID.
objectobjectfirstUnreadMessageobject Required_idstring
The message ID.
Responses200
OK
Success
```json
{
"success": true
}
```
object successboolean
400
Bad Request
Invalid Parameter
```json
{
"success": false,
"error": "must have required property 'roomId'\n must have required property 'firstUnreadMessage'\n must match a schema in anyOf [invalid-params]",
"errorType": "invalid-params"
}
```
object successboolean
errorstring
errorTypestring
401
Unauthorized
Authorization Error
```json
{
"status": "error",
"message": "You must be logged in to do this."
}
```
object statusstring
messagestring